rtp: OPERA Cloud Rate API
144 operations from Oracle’s published OHIP specifications (26.3.0.0). Each shows its HTTP method and path and the typed call on ctx.Ohip.Api. hotelId defaults to the invocation’s hotel.
changeControlSegment
Section titled “changeControlSegment”Modify a Control Segment
PUT /rtp/v1/hotels/{hotelId}/controlSegments/{controlSegmentCode} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.ChangeControlSegmentAsync(string controlSegmentCode, PropertyControlSegmentType body, string? hotelId = null, CancellationToken ct = default)changeRateCategory
Section titled “changeRateCategory”Change Rate Category
PUT /rtp/v1/hotels/{hotelId}/rateCategories · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.ChangeRateCategoryAsync(RateCategoryToBeChanged body, string? hotelId = null, CancellationToken ct = default)changeRateClass
Section titled “changeRateClass”Changes to rate class
PUT /rtp/v1/hotels/{hotelId}/rateClasses/{rateClassCode} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.ChangeRateClassAsync(string rateClassCode, RateClassToBeChanged body, string? hotelId = null, CancellationToken ct = default)changeRateSeasons
Section titled “changeRateSeasons”Change Hotel Rate Seasons
PUT /rtp/v1/hotels/{hotelId}/rateSeasons/{seasonCode} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.ChangeRateSeasonsAsync(string seasonCode, RateSeasonsToBeChanged body, string? hotelId = null, CancellationToken ct = default)changeTemplateControlSegment
Section titled “changeTemplateControlSegment”Change Control Segment Template
PUT /rtp/v1/controlSegmentTemplate/{controlSegmentCode} · chain-level
Task<Status?> ctx.Ohip.Api.Rtp.ChangeTemplateControlSegmentAsync(string controlSegmentCode, TemplateControlSegmentToBeChanged body, CancellationToken ct = default)changeTemplateRateCategory
Section titled “changeTemplateRateCategory”Change Template Rate Category
PUT /rtp/v1/templates/rateCategories/{rateCategoryCode} · chain-level
Task<Status?> ctx.Ohip.Api.Rtp.ChangeTemplateRateCategoryAsync(string rateCategoryCode, TemplateRateCategoryToBeChanged body, CancellationToken ct = default)changeTemplateRateClass
Section titled “changeTemplateRateClass”Change template rate class
PUT /rtp/v1/templates/rateClasses/{rateClassCode} · chain-level
Task<Status?> ctx.Ohip.Api.Rtp.ChangeTemplateRateClassAsync(string rateClassCode, TemplateRateClassToBeChanged body, CancellationToken ct = default)changeTemplateRateSeasons
Section titled “changeTemplateRateSeasons”Change Template Rate Seasons
PUT /rtp/v1/templates/rateSeasons/{seasonCode} · chain-level
Task<Status?> ctx.Ohip.Api.Rtp.ChangeTemplateRateSeasonsAsync(string seasonCode, TemplateRateSeasonsToBeChanged body, CancellationToken ct = default)changeUpsertRateSeasons
Section titled “changeUpsertRateSeasons”Create/Change Hotel Rate Seasons
PUT /rtp/v1/upsert/hotels/{hotelId}/rateSeasons/{seasonCode} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.ChangeUpsertRateSeasonsAsync(string seasonCode, RateSeasonsToBeChanged body, string? hotelId = null, CancellationToken ct = default)copyPackages
Section titled “copyPackages”Copy package code(s)
PUT /rtp/v1/packages/copy · chain-level
Task<Status?> ctx.Ohip.Api.Rtp.CopyPackagesAsync(List<CopyPackageCodesType> body, CancellationToken ct = default)copyPromotionGroups
Section titled “copyPromotionGroups”Copy promotion groups
PUT /rtp/v1/hotels/{hotelId}/promotionGroups/copy · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.CopyPromotionGroupsAsync(PromotionGroupsCopy body, string? hotelId = null, CancellationToken ct = default)copyRatePlans
Section titled “copyRatePlans”Copy rate plans
PUT /rtp/v1/hotels/{hotelId}/ratePlans/{ratePlanCode}/copy · hotel-scoped
Task<RatePlansCopyDetails?> ctx.Ohip.Api.Rtp.CopyRatePlansAsync(string ratePlanCode, RatePlansCopy body, string? hotelId = null, CancellationToken ct = default)copyTieredRateSchedules
Section titled “copyTieredRateSchedules”Copy tiered rate schedules
PUT /rtp/v1/hotels/{hotelId}/ratePlans/{ratePlanCode}/sourceTiers/{sourceTierId}/destinationTiers/{destinationTierId}/schedules/copy · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.CopyTieredRateSchedulesAsync(string ratePlanCode, string sourceTierId, string destinationTierId, TieredRateSchedulesCopy body, string? hotelId = null, CancellationToken ct = default)deleteBestAvailableRates
Section titled “deleteBestAvailableRates”Delete Best Available Rates
DELETE /rtp/v1/hotels/{hotelId}/bestavailablerates · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.DeleteBestAvailableRatesAsync(string? hotelId = null, Action<BestavailableratesRequestBuilderDeleteQueryParameters>? query = null, CancellationToken ct = default)deleteDailyRatePlanScheduleRange
Section titled “deleteDailyRatePlanScheduleRange”Delete daily rate plan schedule range
DELETE /rtp/v1/hotels/{hotelId}/ratePlans/{ratePlanCode}/dailySchedules · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.DeleteDailyRatePlanScheduleRangeAsync(string ratePlanCode, string? hotelId = null, Action<DailySchedulesRequestBuilderDeleteQueryParameters>? query = null, CancellationToken ct = default)deleteDisplaySets
Section titled “deleteDisplaySets”Delete Display Sets
DELETE /rtp/v1/displaySets/{displaySetsId} · chain-level
Task<Status?> ctx.Ohip.Api.Rtp.DeleteDisplaySetsAsync(string displaySetsId, CancellationToken ct = default)deleteHotelPackageForecastGroups
Section titled “deleteHotelPackageForecastGroups”Delete Hotel Package Forecast Groups
DELETE /rtp/v1/hotels/{hotelId}/packageForecastGroups · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.DeleteHotelPackageForecastGroupsAsync(string? hotelId = null, string[]? code = null, CancellationToken ct = default)deleteMassRateChangeLog
Section titled “deleteMassRateChangeLog”Delete mass rate change log
DELETE /rtp/v1/hotels/{hotelId}/massRateChangeLog · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.DeleteMassRateChangeLogAsync(string? hotelId = null, CancellationToken ct = default)deleteNegotiatedRates
Section titled “deleteNegotiatedRates”Delete negotiated rates
DELETE /rtp/v1/hotels/{hotelId}/profiles/{profileId}/startDate/{startDate}/negotiatedRates/{ratePlanId} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.DeleteNegotiatedRatesAsync(string profileId, string startDate, string ratePlanId, string? hotelId = null, CancellationToken ct = default)deletePackage
Section titled “deletePackage”Delete the package
DELETE /rtp/v1/hotels/{hotelId}/packages/{packageCode} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.DeletePackageAsync(string packageCode, string? hotelId = null, CancellationToken ct = default)deletePackageFormulaRanges
Section titled “deletePackageFormulaRanges”Delete package formula ranges
DELETE /rtp/v1/hotels/{hotelId}/packageFormulaRanges/{packageFormulaRangeId} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.DeletePackageFormulaRangesAsync(string packageFormulaRangeId, string? hotelId = null, double? amount = null, string? currencyCode = null, CancellationToken ct = default)deletePackageGroups
Section titled “deletePackageGroups”Delete package group
DELETE /rtp/v1/hotels/{hotelId}/packageGroups/{packageCode} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.DeletePackageGroupsAsync(string packageCode, string? hotelId = null, CancellationToken ct = default)deletePromotionGroup
Section titled “deletePromotionGroup”Delete promotion groups
DELETE /rtp/v1/hotels/{hotelId}/promotionGroups/{groupCode} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.DeletePromotionGroupAsync(string groupCode, string? hotelId = null, CancellationToken ct = default)deleteRateAccessExclusions
Section titled “deleteRateAccessExclusions”Delete rate access exclusions
DELETE /rtp/v1/hotels/{hotelId}/rateAccessExclusions · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.DeleteRateAccessExclusionsAsync(string? hotelId = null, Action<RateAccessExclusionsRequestBuilderDeleteQueryParameters>? query = null, CancellationToken ct = default)deleteRateCategory
Section titled “deleteRateCategory”Delete Rate Category
DELETE /rtp/v1/hotels/{hotelId}/rateCategories · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.DeleteRateCategoryAsync(string? hotelId = null, string? rateCategory = null, CancellationToken ct = default)deleteRateClass
Section titled “deleteRateClass”Delete rate class
DELETE /rtp/v1/hotels/{hotelId}/rateClasses/{rateClassCode} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.DeleteRateClassAsync(string rateClassCode, string? hotelId = null, CancellationToken ct = default)deleteRateGroups
Section titled “deleteRateGroups”Delete rate groups
DELETE /rtp/v1/hotels/{hotelId}/rateGroups · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.DeleteRateGroupsAsync(string? hotelId = null, CancellationToken ct = default)deleteRatePlan
Section titled “deleteRatePlan”Delete rate plan
DELETE /rtp/v1/hotels/{hotelId}/ratePlans/{ratePlanCode} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.DeleteRatePlanAsync(string ratePlanCode, string? hotelId = null, CancellationToken ct = default)deleteRatePlanPackages
Section titled “deleteRatePlanPackages”Delete rate plan packages
DELETE /rtp/v1/hotels/{hotelId}/ratePlans/{ratePlanCode}/packages · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.DeleteRatePlanPackagesAsync(string ratePlanCode, string? hotelId = null, string[]? packageCode = null, string[]? packageGroup = null, CancellationToken ct = default)deleteRatePlanPostingRhythms
Section titled “deleteRatePlanPostingRhythms”Delete rate plan posting rhythms
DELETE /rtp/v1/hotels/{hotelId}/ratePlans/{ratePlanCode}/postingRhythms · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.DeleteRatePlanPostingRhythmsAsync(string ratePlanCode, string? hotelId = null, string[]? code = null, CancellationToken ct = default)deleteRatePlanSchedules
Section titled “deleteRatePlanSchedules”Delete rate plan schedule
DELETE /rtp/v1/hotels/{hotelId}/ratePlans/{ratePlanCode}/schedules · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.DeleteRatePlanSchedulesAsync(string ratePlanCode, string? hotelId = null, Action<SchedulesRequestBuilderDeleteQueryParameters>? query = null, CancellationToken ct = default)deleteRateStrategy
Section titled “deleteRateStrategy”Delete rate strategies
DELETE /rtp/v1/hotels/{hotelId}/rateStrategies/{rateStrategyId} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.DeleteRateStrategyAsync(string rateStrategyId, string? hotelId = null, CancellationToken ct = default)deleteTemplatePackageForecastGroups
Section titled “deleteTemplatePackageForecastGroups”Delete Template Package Forecast Groups
DELETE /rtp/v1/packageForecastGroups/{packageForecastGroupCode} · chain-level
Task<Status?> ctx.Ohip.Api.Rtp.DeleteTemplatePackageForecastGroupsAsync(string packageForecastGroupCode, CancellationToken ct = default)deleteTemplateRateCategory
Section titled “deleteTemplateRateCategory”Delete a Template Rate Category
DELETE /rtp/v1/templates/rateCategories/{rateCategoryCode} · chain-level
Task<Status?> ctx.Ohip.Api.Rtp.DeleteTemplateRateCategoryAsync(string rateCategoryCode, CancellationToken ct = default)deleteTemplateRateClass
Section titled “deleteTemplateRateClass”Delete template rate class
DELETE /rtp/v1/templates/rateClasses/{rateClassCode} · chain-level
Task<Status?> ctx.Ohip.Api.Rtp.DeleteTemplateRateClassAsync(string rateClassCode, CancellationToken ct = default)distributeNegotiatedRates
Section titled “distributeNegotiatedRates”Distribute negotiated rates
PUT /rtp/v1/hotels/{hotelId}/negotiatedRates/distributions · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.DistributeNegotiatedRatesAsync(DistributedNegotiatedRates body, string? hotelId = null, CancellationToken ct = default)generatePackageCodeDescription
Section titled “generatePackageCodeDescription”Generate package description with AI Author Service Proxy.
POST /rtp/v1/hotels/{hotelId}/packages/{packageCode}/text · hotel-scoped
Task<GeneratePackageCodeDescriptionResponse?> ctx.Ohip.Api.Rtp.GeneratePackageCodeDescriptionAsync(string packageCode, GeneratePackageCodeDescriptionRequest body, string? hotelId = null, CancellationToken ct = default)generatePromotionCouponCodes
Section titled “generatePromotionCouponCodes”Generate promotion coupon codes
POST /rtp/v1/hotels/{hotelId}/promotionCodes/{promotionCode}/coupons · hotel-scoped
Task<GeneratedCouponCodeDetails?> ctx.Ohip.Api.Rtp.GeneratePromotionCouponCodesAsync(string promotionCode, GeneratePromotionCouponCodes body, string? hotelId = null, CancellationToken ct = default)generateTemplatePromotionCouponCodes
Section titled “generateTemplatePromotionCouponCodes”Generate template promotion coupon codes
POST /rtp/v1/promotionCodes/{promotionCode}/coupons · chain-level
Task<GeneratedCouponCodeDetails?> ctx.Ohip.Api.Rtp.GenerateTemplatePromotionCouponCodesAsync(string promotionCode, GeneratePromotionCouponCodes body, CancellationToken ct = default)getBestAvailableRates
Section titled “getBestAvailableRates”Fetch Best Available Rates
GET /rtp/v1/hotels/{hotelId}/bestavailablerates · hotel-scoped
Task<GetBestAvailableRatesDetails?> ctx.Ohip.Api.Rtp.GetBestAvailableRatesAsync(string? hotelId = null, GetDaysOfWeekQueryParameterType[]? daysOfWeek = null, Date? endDay = null, GetLengthOfStayQueryParameterType[]? lengthOfStay = null, int? limit = null, int? offset = null, string[]? rateCode = null, Date? startDay = null, CancellationToken ct = default)getControlSegments
Section titled “getControlSegments”Get Control Segments
GET /rtp/v1/controlSegments · chain-level
Task<ControlSegmentsDetails?> ctx.Ohip.Api.Rtp.GetControlSegmentsAsync(string[]? controlSegmentCodes = null, string[]? hotelIds = null, bool? includeInactive = null, int? limit = null, string[]? membershipLevel = null, string? membershipType = null, int? pageNumber = null, CancellationToken ct = default)getDisplaySets
Section titled “getDisplaySets”Get Display Sets
GET /rtp/v1/displaySets · chain-level
Task<DisplaySetsDetails?> ctx.Ohip.Api.Rtp.GetDisplaySetsAsync(string[]? codes = null, string? description = null, bool? fetchInactive = null, string? wildCard = null, CancellationToken ct = default)getHotelPackageForecastGroups
Section titled “getHotelPackageForecastGroups”Get Hotel Package Forecast Groups
GET /rtp/v1/hotels/{hotelId}/packageForecastGroups · hotel-scoped
Task<HotelPackageForecastGroups?> ctx.Ohip.Api.Rtp.GetHotelPackageForecastGroupsAsync(string? hotelId = null, string[]? hotelIds = null, bool? includeInactive = null, int? limit = null, int? offset = null, string[]? packageForecastGroupCodes = null, string? wildCard = null, CancellationToken ct = default)getMassRateChangeStatus
Section titled “getMassRateChangeStatus”Get mass rate change status
GET /rtp/v1/hotels/{hotelId}/massRateChangeStatus · hotel-scoped
Task<MassRateChangeStatus?> ctx.Ohip.Api.Rtp.GetMassRateChangeStatusAsync(string? hotelId = null, bool? detailStatus = null, CancellationToken ct = default)getNegotiatedRates
Section titled “getNegotiatedRates”Get negotiated rates and profiles
GET /rtp/v1/hotels/{hotelId}/negotiatedRates · hotel-scoped
Task<NegotiatedRates?> ctx.Ohip.Api.Rtp.GetNegotiatedRatesAsync(string? hotelId = null, Date? endDate = null, GetFetchInstructionsQueryParameterType[]? fetchInstructions = null, int? fetchInstructionsLimit = null, bool? includeInactiveNegotiatedRates = null, int? limit = null, int? offset = null, Date? startDate = null, CancellationToken ct = default)getNegotiatedRatesForGivenHotelAndRate
Section titled “getNegotiatedRatesForGivenHotelAndRate”Fetch Negotiated Rates
GET /rtp/v1/hotels/{hotelId}/negotiatedRates/{rateCode}/profiles · hotel-scoped
Task<NegotiatedRates?> ctx.Ohip.Api.Rtp.GetNegotiatedRatesForGivenHotelAndRateAsync(string rateCode, string? hotelId = null, Date? endDate = null, GetFetchInstructionsQueryParameterType[]? fetchInstructions = null, int? fetchInstructionsLimit = null, bool? includeInactiveNegotiatedRates = null, int? limit = null, int? offset = null, Date? startDate = null, CancellationToken ct = default)getNegotiatedRatesForGivenProfile
Section titled “getNegotiatedRatesForGivenProfile”Get negotiated rate details for given profile
GET /rtp/v1/profiles/{profileId}/negotiatedRates · chain-level
Task<NegotiatedRates?> ctx.Ohip.Api.Rtp.GetNegotiatedRatesForGivenProfileAsync(string profileId, Action<NegotiatedRatesRequestBuilderGetQueryParameters>? query = null, CancellationToken ct = default)getPackage
Section titled “getPackage”Get package for given package
GET /rtp/v1/hotels/{hotelId}/packages/{packageCode} · hotel-scoped
Task<PackageInfo?> ctx.Ohip.Api.Rtp.GetPackageAsync(string packageCode, string? hotelId = null, GetFetchInstructionsQueryParameterType[]? fetchInstructions = null, CancellationToken ct = default)getPackageFormulaRanges
Section titled “getPackageFormulaRanges”Get package formula ranges
GET /rtp/v1/hotels/{hotelId}/packageFormulaRanges · hotel-scoped
Task<PackageFormulaRanges?> ctx.Ohip.Api.Rtp.GetPackageFormulaRangesAsync(string? hotelId = null, string? taxRangeType = null, CancellationToken ct = default)getPackageGroups
Section titled “getPackageGroups”Get package groups
GET /rtp/v1/hotels/{hotelId}/packageGroups · hotel-scoped
Task<PackageGroupsInfo?> ctx.Ohip.Api.Rtp.GetPackageGroupsAsync(string? hotelId = null, string? code = null, string? descriptionWildCard = null, string[]? hotelIds = null, bool? includeOnlySeparateLinePackages = null, int? limit = null, CancellationToken ct = default)getPackageRates
Section titled “getPackageRates”Get package rates
GET /rtp/v1/hotels/{hotelId}/packages/{packageCode}/rates · hotel-scoped
Task<PackageRates?> ctx.Ohip.Api.Rtp.GetPackageRatesAsync(string packageCode, string? hotelId = null, int? limit = null, CancellationToken ct = default)getPackages
Section titled “getPackages”Get packages
GET /rtp/v1/packages · chain-level
Task<PackagesInfo?> ctx.Ohip.Api.Rtp.GetPackagesAsync(Action<PackagesRequestBuilderGetQueryParameters>? query = null, CancellationToken ct = default)getPromotionCodes
Section titled “getPromotionCodes”Get promotion codes
GET /rtp/v1/hotels/{hotelId}/promotionCodes · hotel-scoped
Task<PropertyPromotionCodes?> ctx.Ohip.Api.Rtp.GetPromotionCodesAsync(string? hotelId = null, string? description = null, bool? includeInactive = null, int? limit = null, int? offset = null, string[]? promotionCode = null, string[]? promotionGroup = null, Date? promotionsValidAfterDate = null, string? rateCodes = null, CancellationToken ct = default)getPromotionCouponCode
Section titled “getPromotionCouponCode”Get promotion coupon code
GET /rtp/v1/hotels/{hotelId}/promotionCodes/{promotionCode}/coupons/{couponId} · hotel-scoped
Task<GetPromotionCouponCode?> ctx.Ohip.Api.Rtp.GetPromotionCouponCodeAsync(string promotionCode, int couponId, string? hotelId = null, CancellationToken ct = default)getPromotionCouponCodes
Section titled “getPromotionCouponCodes”Get promotion coupon codes
GET /rtp/v1/hotels/{hotelId}/promotionCodes/{promotionCode}/coupons · hotel-scoped
Task<GetPromotionCouponCodes?> ctx.Ohip.Api.Rtp.GetPromotionCouponCodesAsync(string promotionCode, string? hotelId = null, string[]? batchCode = null, string? couponCode = null, Date? createdOn = null, bool? includeInactive = null, int? limit = null, int? offset = null, CancellationToken ct = default)getPromotionGroups
Section titled “getPromotionGroups”Get promotion groups
GET /rtp/v1/hotels/{hotelId}/promotionGroups · hotel-scoped
Task<PromotionGroups?> ctx.Ohip.Api.Rtp.GetPromotionGroupsAsync(string? hotelId = null, string[]? code = null, string? description = null, bool? includeInactive = null, int? limit = null, int? offset = null, string[]? promotionGroupListCode = null, string? rateCodes = null, CancellationToken ct = default)getRateActivityLog
Section titled “getRateActivityLog”Get rate activity log
GET /rtp/v1/hotels/{hotelId}/rates/activityLog · hotel-scoped
Task<RateActivityLog?> ctx.Ohip.Api.Rtp.GetRateActivityLogAsync(string? hotelId = null, Action<ActivityLogRequestBuilderGetQueryParameters>? query = null, CancellationToken ct = default)getRateCategory
Section titled “getRateCategory”Get Rate Category
GET /rtp/v1/hotels/{hotelId}/rateCategories · hotel-scoped
Task<RateCategoryDetails?> ctx.Ohip.Api.Rtp.GetRateCategoryAsync(string? hotelId = null, string[]? hotelIds = null, bool? includeInactive = null, int? limit = null, int? offset = null, string? rateCategoryDescription = null, string[]? rateCategoryListCodes = null, CancellationToken ct = default)getRateClass
Section titled “getRateClass”Get rate classes
GET /rtp/v1/hotels/{hotelId}/rateClasses · hotel-scoped
Task<RateClassDetails?> ctx.Ohip.Api.Rtp.GetRateClassAsync(string? hotelId = null, string? description = null, string[]? hotelIds = null, bool? includeInactive = null, int? limit = null, int? offset = null, string[]? rateClassListCodes = null, CancellationToken ct = default)getRateGroups
Section titled “getRateGroups”Get rate groups
GET /rtp/v1/hotels/{hotelId}/rateGroups · hotel-scoped
Task<RateGroupsInfo?> ctx.Ohip.Api.Rtp.GetRateGroupsAsync(string? hotelId = null, string[]? code = null, string? description = null, int? limit = null, int? offset = null, string? wildCard = null, CancellationToken ct = default)getRatePlan
Section titled “getRatePlan”Get rate plan
GET /rtp/v1/hotels/{hotelId}/ratePlans/{ratePlanCode} · hotel-scoped
Task<RatePlanInfo?> ctx.Ohip.Api.Rtp.GetRatePlanAsync(string ratePlanCode, string? hotelId = null, GetFetchInstructionsQueryParameterType[]? fetchInstructions = null, CancellationToken ct = default)getRatePlanMetrics
Section titled “getRatePlanMetrics”Get rate plan metrics
GET /rtp/v1/hotels/{hotelId}/ratePlans/{ratePlanCode}/metrics · hotel-scoped
Task<RatePlanMetrics?> ctx.Ohip.Api.Rtp.GetRatePlanMetricsAsync(string ratePlanCode, string? hotelId = null, GetFieldsQueryParameterType[]? fields = null, CancellationToken ct = default)getRatePlans
Section titled “getRatePlans”Get rate plans
GET /rtp/v1/ratePlans · chain-level
Task<RatePlansSummary?> ctx.Ohip.Api.Rtp.GetRatePlansAsync(Action<RatePlansRequestBuilderGetQueryParameters>? query = null, CancellationToken ct = default)getRatePlansByHotel
Section titled “getRatePlansByHotel”Get rate plans by Hotel Code
GET /rtp/v1/hotels/{hotelId}/ratePlans · hotel-scoped
Task<RatePlanInfo?> ctx.Ohip.Api.Rtp.GetRatePlansByHotelAsync(string? hotelId = null, GetFetchInstructionsQueryParameterType[]? fetchInstructions = null, GetPostingIntervalQueryParameterType[]? postingInterval = null, string? ratePlanCode = null, CancellationToken ct = default)getRatePlanSchedules
Section titled “getRatePlanSchedules”Get rate plan schedules
GET /rtp/v1/hotels/{hotelId}/ratePlans/{ratePlanCode}/schedules · hotel-scoped
Task<RatePlanSchedulesInfo?> ctx.Ohip.Api.Rtp.GetRatePlanSchedulesAsync(string ratePlanCode, string? hotelId = null, Action<SchedulesRequestBuilderGetQueryParameters>? query = null, CancellationToken ct = default)getRatePlanScheduleYieldAdjustments
Section titled “getRatePlanScheduleYieldAdjustments”Get rate plan schedule yield adjustments
GET /rtp/v1/hotels/{hotelId}/ratePlan/schedule/yieldAdjustment · hotel-scoped
Task<RatePlanScheduleYieldAdjustments?> ctx.Ohip.Api.Rtp.GetRatePlanScheduleYieldAdjustmentsAsync(string? hotelId = null, string? id = null, int? limit = null, string? ratePlanCode = null, bool? summaryInfo = null, CancellationToken ct = default)getRatePlansForBlock
Section titled “getRatePlansForBlock”Get rate plans for a given block
GET /rtp/v1/hotels/{hotelId}/blocks/ratePlans · hotel-scoped
Task<BlockRatePlans?> ctx.Ohip.Api.Rtp.GetRatePlansForBlockAsync(string? hotelId = null, Action<RatePlansRequestBuilderGetQueryParameters>? query = null, CancellationToken ct = default)getRateSeasons
Section titled “getRateSeasons”Get Hotel Rate Seasons
GET /rtp/v1/hotels/{hotelId}/rateSeasons · hotel-scoped
Task<RateSeasonsDetails?> ctx.Ohip.Api.Rtp.GetRateSeasonsAsync(string? hotelId = null, string[]? hotelIds = null, int? limit = null, int? offset = null, string[]? seasonsCodes = null, CancellationToken ct = default)getRateStrategies
Section titled “getRateStrategies”Get rate strategies
GET /rtp/v1/hotels/{hotelId}/rateStrategies · hotel-scoped
Task<RateStrategies?> ctx.Ohip.Api.Rtp.GetRateStrategiesAsync(string? hotelId = null, int? limit = null, int? offset = null, Date? restrictionDate = null, CancellationToken ct = default)getTemplateControlSegments
Section titled “getTemplateControlSegments”Get Control Segment Templates
GET /rtp/v1/controlSegmentTemplates · chain-level
Task<TemplateControlSegmentDetails?> ctx.Ohip.Api.Rtp.GetTemplateControlSegmentsAsync(string[]? controlSegmentCodes = null, bool? includeInactive = null, int? limit = null, string[]? membershipLevel = null, string? membershipType = null, int? pageNumber = null, CancellationToken ct = default)getTemplatePackageForecastGroups
Section titled “getTemplatePackageForecastGroups”Get Template Package Forecast Groups
GET /rtp/v1/packageForecastGroups · chain-level
Task<TemplatePackageForecastGroups?> ctx.Ohip.Api.Rtp.GetTemplatePackageForecastGroupsAsync(bool? includeInactive = null, string[]? packageForecastGroupCode = null, string? wildCard = null, CancellationToken ct = default)getTemplatePromotionCodes
Section titled “getTemplatePromotionCodes”Get Template Promotion Codes
GET /rtp/v1/promotionCodes · chain-level
Task<TemplatePromotionCodes?> ctx.Ohip.Api.Rtp.GetTemplatePromotionCodesAsync(string? description = null, string[]? hotelIdValue = null, bool? includeInactive = null, int? limit = null, int? offset = null, string[]? promotionCode = null, string[]? promotionGroup = null, string? rateCodes = null, CancellationToken ct = default)getTemplatePromotionCouponCode
Section titled “getTemplatePromotionCouponCode”Get promotion coupon code at template level.
GET /rtp/v1/promotionCodes/{promotionCode}/coupons/{couponId} · chain-level
Task<GetPromotionCouponCode?> ctx.Ohip.Api.Rtp.GetTemplatePromotionCouponCodeAsync(string promotionCode, int couponId, CancellationToken ct = default)getTemplatePromotionCouponCodes
Section titled “getTemplatePromotionCouponCodes”Get promotion coupon codes at template level.
GET /rtp/v1/promotionCodes/{promotionCode}/coupons · chain-level
Task<GetPromotionCouponCodes?> ctx.Ohip.Api.Rtp.GetTemplatePromotionCouponCodesAsync(string promotionCode, string[]? batchCode = null, string? couponCode = null, Date? createdOn = null, string[]? hotelIdValue = null, bool? includeInactive = null, int? limit = null, int? offset = null, CancellationToken ct = default)getTemplateRateCategory
Section titled “getTemplateRateCategory”Get Template Rate Categories
GET /rtp/v1/templates/rateCategories · chain-level
Task<TemplateRateCategoryDetails?> ctx.Ohip.Api.Rtp.GetTemplateRateCategoryAsync(bool? includeInactive = null, string? rateCategoryDescription = null, string[]? rateCategoryListCodes = null, CancellationToken ct = default)getTemplateRateClass
Section titled “getTemplateRateClass”Get template rate classes
GET /rtp/v1/templates/rateClasses · chain-level
Task<TemplateRateClassDetails?> ctx.Ohip.Api.Rtp.GetTemplateRateClassAsync(string? description = null, string[]? hotelIds = null, bool? includeInactive = null, int? limit = null, int? offset = null, string[]? rateClassListCodes = null, CancellationToken ct = default)getTemplateRateSeasons
Section titled “getTemplateRateSeasons”Get Template Rate Seasons
GET /rtp/v1/templates/rateSeasons · chain-level
Task<TemplateRateSeasonsDetails?> ctx.Ohip.Api.Rtp.GetTemplateRateSeasonsAsync(string[]? seasonCodes = null, CancellationToken ct = default)getYieldAdjustments
Section titled “getYieldAdjustments”Get yield adjustments
GET /rtp/v1/hotels/{hotelId}/yieldAdjustments · hotel-scoped
Task<YieldAdjustments?> ctx.Ohip.Api.Rtp.GetYieldAdjustmentsAsync(string? hotelId = null, string? currencyCode = null, int? limit = null, CancellationToken ct = default)inactivatePromotionCouponBatchCode
Section titled “inactivatePromotionCouponBatchCode”Inactivate promotion coupon codes for a given batch code.
PUT /rtp/v1/promotionCodes/{promotionCode}/coupons/inactivate · chain-level
Task<Status?> ctx.Ohip.Api.Rtp.InactivatePromotionCouponBatchCodeAsync(string promotionCode, InactivatePromotionCouponBatchCodeType body, CancellationToken ct = default)manageRatePlansSchedules
Section titled “manageRatePlansSchedules”Manages rate plan schedules
PUT /rtp/v1/ratePlanSchedules · chain-level
Task<Status?> ctx.Ohip.Api.Rtp.ManageRatePlansSchedulesAsync(RatePlansSchedulesToManage body, CancellationToken ct = default)pingRatePlanService
Section titled “pingRatePlanService”Get Rate plan service version
GET /rtp/v1/services/rateplan/status · chain-level
Task<OperaVersion?> ctx.Ohip.Api.Rtp.PingRatePlanServiceAsync(CancellationToken ct = default)postBestAvailableRates
Section titled “postBestAvailableRates”Create a Best Available Rates
POST /rtp/v1/hotels/{hotelId}/bestavailablerates · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.PostBestAvailableRatesAsync(CreateBestAvailableRates body, string? hotelId = null, CancellationToken ct = default)postControlSegment
Section titled “postControlSegment”Create a new Control Segment
POST /rtp/v1/hotels/{hotelId}/controlSegments/{controlSegmentCode} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.PostControlSegmentAsync(string controlSegmentCode, PropertyControlSegmentType body, string? hotelId = null, CancellationToken ct = default)postDisplaySets
Section titled “postDisplaySets”Create Display Sets
POST /rtp/v1/displaySets · chain-level
Task<Status?> ctx.Ohip.Api.Rtp.PostDisplaySetsAsync(DisplaySetsCriteria body, CancellationToken ct = default)postHotelPackageForecastGroups
Section titled “postHotelPackageForecastGroups”Create Hotel Package Forecast Groups
POST /rtp/v1/hotels/{hotelId}/packageForecastGroups · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.PostHotelPackageForecastGroupsAsync(HotelPackageForecastGroupsToCreate body, string? hotelId = null, CancellationToken ct = default)postNegotiatedRates
Section titled “postNegotiatedRates”Create negotiated rates
POST /rtp/v1/hotels/{hotelId}/negotiatedRates · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.PostNegotiatedRatesAsync(NegotiatedRates body, string? hotelId = null, CancellationToken ct = default)postPackage
Section titled “postPackage”Create package
POST /rtp/v1/hotels/{hotelId}/packages/{packageCode} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.PostPackageAsync(string packageCode, PackageInfo body, string? hotelId = null, CancellationToken ct = default)postPackageFormulaRanges
Section titled “postPackageFormulaRanges”Create package formula ranges
POST /rtp/v1/hotels/{hotelId}/packageFormulaRanges · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.PostPackageFormulaRangesAsync(PackageFormulaRanges body, string? hotelId = null, CancellationToken ct = default)postPackageGroup
Section titled “postPackageGroup”Create package group
POST /rtp/v1/hotels/{hotelId}/packageGroups · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.PostPackageGroupAsync(PackageGroup body, string? hotelId = null, CancellationToken ct = default)postPromotionCode
Section titled “postPromotionCode”Create promotion codes
POST /rtp/v1/hotels/{hotelId}/promotionCodes/{promotionCode} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.PostPromotionCodeAsync(string promotionCode, PropertyPromotionCode body, string? hotelId = null, CancellationToken ct = default)postPromotionGroup
Section titled “postPromotionGroup”Create promotion groups
POST /rtp/v1/hotels/{hotelId}/promotionGroups/{groupCode} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.PostPromotionGroupAsync(string groupCode, PromotionGroup body, string? hotelId = null, CancellationToken ct = default)postRateCategory
Section titled “postRateCategory”Create Rate Category
POST /rtp/v1/hotels/{hotelId}/rateCategories · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.PostRateCategoryAsync(RateCategoryCriteria body, string? hotelId = null, CancellationToken ct = default)postRateClass
Section titled “postRateClass”Create new rate class
POST /rtp/v1/hotels/{hotelId}/rateClasses · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.PostRateClassAsync(RateClassCriteria body, string? hotelId = null, CancellationToken ct = default)postRateGroups
Section titled “postRateGroups”Create rate groups
POST /rtp/v1/hotels/{hotelId}/rateGroups · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.PostRateGroupsAsync(RateGroups body, string? hotelId = null, CancellationToken ct = default)postRatePlan
Section titled “postRatePlan”Create rate plans
POST /rtp/v1/hotels/{hotelId}/ratePlans · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.PostRatePlanAsync(RatePlan body, string? hotelId = null, CancellationToken ct = default)postRatePlanPackages
Section titled “postRatePlanPackages”Create rate plan package
POST /rtp/v1/hotels/{hotelId}/ratePlans/{ratePlanCode}/packages · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.PostRatePlanPackagesAsync(string ratePlanCode, RatePlanPackages body, string? hotelId = null, CancellationToken ct = default)postRatePlanPostingRhythms
Section titled “postRatePlanPostingRhythms”Create rate plan posting rhythms
POST /rtp/v1/hotels/{hotelId}/ratePlans/{ratePlanCode}/postingRhythms · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.PostRatePlanPostingRhythmsAsync(string ratePlanCode, RatePlanPostingRhythms body, string? hotelId = null, CancellationToken ct = default)postRatePlanSchedules
Section titled “postRatePlanSchedules”Create rate plan schedules
POST /rtp/v1/hotels/{hotelId}/ratePlans/{ratePlanCode}/schedules · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.PostRatePlanSchedulesAsync(string ratePlanCode, RatePlanSchedulesToCreate body, string? hotelId = null, CancellationToken ct = default)postRateSeasons
Section titled “postRateSeasons”Create Hotel Rate Seasons
POST /rtp/v1/hotels/{hotelId}/rateSeasons · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.PostRateSeasonsAsync(RateSeasonsCriteria body, string? hotelId = null, CancellationToken ct = default)postRateStrategy
Section titled “postRateStrategy”Create rate strategies
POST /rtp/v1/hotels/{hotelId}/rateStrategies · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.PostRateStrategyAsync(RateStrategy body, string? hotelId = null, CancellationToken ct = default)postTemplateControlSegment
Section titled “postTemplateControlSegment”Create Control Segment Template
POST /rtp/v1/controlSegmentTemplate/{controlSegmentCode} · chain-level
Task<Status?> ctx.Ohip.Api.Rtp.PostTemplateControlSegmentAsync(string controlSegmentCode, TemplateControlSegmentCriteria body, CancellationToken ct = default)postTemplatePackageForecastGroups
Section titled “postTemplatePackageForecastGroups”Create Template Package Forecast Groups
POST /rtp/v1/packageForecastGroups · chain-level
Task<Status?> ctx.Ohip.Api.Rtp.PostTemplatePackageForecastGroupsAsync(TemplatePackageForecastGroups body, CancellationToken ct = default)postTemplatePromotionCode
Section titled “postTemplatePromotionCode”Create Template Promotion Code
POST /rtp/v1/promotionCodes/{promotionCode} · chain-level
Task<Status?> ctx.Ohip.Api.Rtp.PostTemplatePromotionCodeAsync(string promotionCode, TemplatePromotionCode body, CancellationToken ct = default)postTemplateRateCategory
Section titled “postTemplateRateCategory”Create a Template Rate Category
POST /rtp/v1/templates/rateCategories · chain-level
Task<Status?> ctx.Ohip.Api.Rtp.PostTemplateRateCategoryAsync(TemplateRateCategoryCriteria body, CancellationToken ct = default)postTemplateRateClass
Section titled “postTemplateRateClass”Create new template rate class
POST /rtp/v1/templates/rateClasses · chain-level
Task<Status?> ctx.Ohip.Api.Rtp.PostTemplateRateClassAsync(TemplateRateClassCriteria body, CancellationToken ct = default)postTemplateRateSeasons
Section titled “postTemplateRateSeasons”Create Template Rate Seasons
POST /rtp/v1/templates/rateSeasons · chain-level
Task<Status?> ctx.Ohip.Api.Rtp.PostTemplateRateSeasonsAsync(TemplateRateSeasonsCriteria body, CancellationToken ct = default)putDisplaySets
Section titled “putDisplaySets”Change Display Sets
PUT /rtp/v1/displaySets/{displaySetsId} · chain-level
Task<Status?> ctx.Ohip.Api.Rtp.PutDisplaySetsAsync(string displaySetsId, DisplaySetsToBeChanged body, CancellationToken ct = default)putHotelPackageForecastGroups
Section titled “putHotelPackageForecastGroups”Change Hotel Package Forecast Groups
PUT /rtp/v1/hotels/{hotelId}/packageForecastGroups · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.PutHotelPackageForecastGroupsAsync(HotelPackageForecastGroupsToChange body, string? hotelId = null, CancellationToken ct = default)putNegotiatedRates
Section titled “putNegotiatedRates”Change negotiated rates
PUT /rtp/v1/hotels/{hotelId}/negotiatedRates/{rateCode} · hotel-scoped
Task<NegotiatedRatesDetails?> ctx.Ohip.Api.Rtp.PutNegotiatedRatesAsync(string rateCode, NegotiatedRates body, string? hotelId = null, CancellationToken ct = default)putPackage
Section titled “putPackage”Change the package
PUT /rtp/v1/hotels/{hotelId}/packages/{packageCode} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.PutPackageAsync(string packageCode, PackageInfo body, string? hotelId = null, CancellationToken ct = default)putPackageFormulaRanges
Section titled “putPackageFormulaRanges”Change package formula ranges
PUT /rtp/v1/hotels/{hotelId}/packageFormulaRanges/{packageFormulaRangeId} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.PutPackageFormulaRangesAsync(string packageFormulaRangeId, PackageFormulaRanges body, string? hotelId = null, CancellationToken ct = default)putPackageGroup
Section titled “putPackageGroup”Change package group
PUT /rtp/v1/hotels/{hotelId}/packageGroups · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.PutPackageGroupAsync(PackageGroup body, string? hotelId = null, CancellationToken ct = default)putPromotionCode
Section titled “putPromotionCode”Change promotion codes
PUT /rtp/v1/hotels/{hotelId}/promotionCodes/{promotionCode} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.PutPromotionCodeAsync(string promotionCode, PropertyPromotionCode body, string? hotelId = null, CancellationToken ct = default)putPromotionCouponCode
Section titled “putPromotionCouponCode”Update promotion coupon codes
PUT /rtp/v1/hotels/{hotelId}/promotionCodes/{promotionCode}/coupons/{couponId} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.PutPromotionCouponCodeAsync(string promotionCode, int couponId, UpdatePromotionCouponCode body, string? hotelId = null, CancellationToken ct = default)putPromotionGroup
Section titled “putPromotionGroup”Change promotion groups
PUT /rtp/v1/hotels/{hotelId}/promotionGroups/{groupCode} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.PutPromotionGroupAsync(string groupCode, PromotionGroup body, string? hotelId = null, CancellationToken ct = default)putRateGroups
Section titled “putRateGroups”Change rate groups
PUT /rtp/v1/hotels/{hotelId}/rateGroups · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.PutRateGroupsAsync(RateGroups body, string? hotelId = null, CancellationToken ct = default)putRatePlan
Section titled “putRatePlan”Change rate plan
PUT /rtp/v1/hotels/{hotelId}/ratePlans/{ratePlanCode} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.PutRatePlanAsync(string ratePlanCode, RatePlan body, string? hotelId = null, CancellationToken ct = default)putRatePlanPackages
Section titled “putRatePlanPackages”Change rate plan package
PUT /rtp/v1/hotels/{hotelId}/ratePlans/{ratePlanCode}/packages · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.PutRatePlanPackagesAsync(string ratePlanCode, RatePlanPackages body, string? hotelId = null, CancellationToken ct = default)putRatePlanPostingRhythms
Section titled “putRatePlanPostingRhythms”Change rate plan posting rhythms
PUT /rtp/v1/hotels/{hotelId}/ratePlans/{ratePlanCode}/postingRhythms · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.PutRatePlanPostingRhythmsAsync(string ratePlanCode, RatePlanPostingRhythms body, string? hotelId = null, CancellationToken ct = default)putRatePlanSchedules
Section titled “putRatePlanSchedules”Change rate plan schedules
PUT /rtp/v1/hotels/{hotelId}/ratePlans/{ratePlanCode}/schedules · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.PutRatePlanSchedulesAsync(string ratePlanCode, RatePlanSchedules body, string? hotelId = null, CancellationToken ct = default)putRateStrategy
Section titled “putRateStrategy”Change rate strategies
PUT /rtp/v1/hotels/{hotelId}/rateStrategies/{rateStrategyId} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.PutRateStrategyAsync(string rateStrategyId, RateStrategy body, string? hotelId = null, CancellationToken ct = default)putTemplatePackageForecastGroups
Section titled “putTemplatePackageForecastGroups”Change Template Package Forecast Groups
PUT /rtp/v1/packageForecastGroups · chain-level
Task<Status?> ctx.Ohip.Api.Rtp.PutTemplatePackageForecastGroupsAsync(TemplatePackageForecastGroups body, CancellationToken ct = default)putTemplatePromotionCode
Section titled “putTemplatePromotionCode”Change Template Promotion Code
PUT /rtp/v1/promotionCodes/{promotionCode} · chain-level
Task<Status?> ctx.Ohip.Api.Rtp.PutTemplatePromotionCodeAsync(string promotionCode, TemplatePromotionCode body, CancellationToken ct = default)putTemplatePromotionCouponCode
Section titled “putTemplatePromotionCouponCode”Update promotion coupon codeat template level.
PUT /rtp/v1/promotionCodes/{promotionCode}/coupons/{couponId} · chain-level
Task<Status?> ctx.Ohip.Api.Rtp.PutTemplatePromotionCouponCodeAsync(string promotionCode, int couponId, UpdatePromotionCouponCode body, CancellationToken ct = default)putUpsertPackageFormulaRanges
Section titled “putUpsertPackageFormulaRanges”Create/Change package formula ranges
PUT /rtp/v1/upsert/hotels/{hotelId}/packageFormulaRanges · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.PutUpsertPackageFormulaRangesAsync(PackageFormulaRanges body, string? hotelId = null, CancellationToken ct = default)putUpsertPromotionCode
Section titled “putUpsertPromotionCode”Change/Create promotion codes
PUT /rtp/v1/upsert/hotels/{hotelId}/promotionCodes/{promotionCode} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.PutUpsertPromotionCodeAsync(string promotionCode, PropertyPromotionCode body, string? hotelId = null, CancellationToken ct = default)putUpsertRateGroups
Section titled “putUpsertRateGroups”Change/Create rate groups
PUT /rtp/v1/upsert/hotels/{hotelId}/rateGroups · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.PutUpsertRateGroupsAsync(RateGroups body, string? hotelId = null, CancellationToken ct = default)putUpsertRateStrategy
Section titled “putUpsertRateStrategy”Create/Change rate strategies
PUT /rtp/v1/upsert/hotels/{hotelId}/rateStrategies · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.PutUpsertRateStrategyAsync(RateStrategy body, string? hotelId = null, CancellationToken ct = default)putUpsertTemplatePromotionCode
Section titled “putUpsertTemplatePromotionCode”Change/create Template Promotion Code
PUT /rtp/v1/upsert/promotionCodes/{promotionCode} · chain-level
Task<Status?> ctx.Ohip.Api.Rtp.PutUpsertTemplatePromotionCodeAsync(string promotionCode, TemplatePromotionCode body, CancellationToken ct = default)removeControlSegment
Section titled “removeControlSegment”Delete a Control Segment
DELETE /rtp/v1/hotels/{hotelId}/controlSegments/{controlSegmentCode} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.RemoveControlSegmentAsync(string controlSegmentCode, string? hotelId = null, CancellationToken ct = default)removeRateSeasons
Section titled “removeRateSeasons”Delete Hotel Rate Seasons
DELETE /rtp/v1/hotels/{hotelId}/rateSeasons/{seasonCode} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.RemoveRateSeasonsAsync(string seasonCode, string? hotelId = null, CancellationToken ct = default)removeTemplateControlSegment
Section titled “removeTemplateControlSegment”Delete Control Segment Template
DELETE /rtp/v1/controlSegmentTemplate/{controlSegmentCode} · chain-level
Task<Status?> ctx.Ohip.Api.Rtp.RemoveTemplateControlSegmentAsync(string controlSegmentCode, CancellationToken ct = default)removeTemplateRateSeasons
Section titled “removeTemplateRateSeasons”Delete Template Rate Seasons
DELETE /rtp/v1/templates/rateSeasons/{seasonCode} · chain-level
Task<Status?> ctx.Ohip.Api.Rtp.RemoveTemplateRateSeasonsAsync(string seasonCode, CancellationToken ct = default)savePackageCodeDescription
Section titled “savePackageCodeDescription”Save the package description to the AI Author Service.
PUT /rtp/v1/packages/text/{responseId} · chain-level
Task<SavePackageCodeDescriptionResponse?> ctx.Ohip.Api.Rtp.SavePackageCodeDescriptionAsync(string responseId, SavePackageCodeDescriptionRequest body, CancellationToken ct = default)setDailyRatePlanScheduleRange
Section titled “setDailyRatePlanScheduleRange”Set daily rate plan schedule range
PUT /rtp/v1/hotels/{hotelId}/ratePlans/{ratePlanCode}/dailySchedules · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.SetDailyRatePlanScheduleRangeAsync(string ratePlanCode, DailyRatePlanScheduleRange body, string? hotelId = null, CancellationToken ct = default)setMassRatePlanSchedules
Section titled “setMassRatePlanSchedules”Set mass rate plan schedules
PUT /rtp/v1/hotels/{hotelId}/massRatePlanSchedules · hotel-scoped · deprecated
Task<Status?> ctx.Ohip.Api.Rtp.SetMassRatePlanSchedulesAsync(MassRatePlanSchedules body, string? hotelId = null, CancellationToken ct = default)setRateAccessExclusions
Section titled “setRateAccessExclusions”Set rate access exclusions
PUT /rtp/v1/hotels/{hotelId}/rateAccessExclusions · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.SetRateAccessExclusionsAsync(RateAccessExclusions body, string? hotelId = null, CancellationToken ct = default)setRatePlanSchedules
Section titled “setRatePlanSchedules”Set rate plan schedules
PUT /rtp/v1/hotels/{hotelId}/ratePlans/{ratePlanCode}/schedules/set · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.SetRatePlanSchedulesAsync(string ratePlanCode, RatePlanSchedulesToSet body, string? hotelId = null, CancellationToken ct = default)setRateStrategies
Section titled “setRateStrategies”Set rate strategies
POST /rtp/v1/rateStrategies · chain-level
Task<Status?> ctx.Ohip.Api.Rtp.SetRateStrategiesAsync(RateStrategiesToSet body, CancellationToken ct = default)splitRatePlanSchedule
Section titled “splitRatePlanSchedule”Split rate plan schedule
POST /rtp/v1/hotels/{hotelId}/ratePlanSchedules/{scheduleId}/split · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.SplitRatePlanScheduleAsync(string scheduleId, RatePlanScheduleToSplit body, string? hotelId = null, CancellationToken ct = default)syncRatePlans
Section titled “syncRatePlans”Synchronizes Rate Plan information including Rate Header and Packages across target properties.
PUT /rtp/v1/hotels/{hotelId}/ratePlans/sync · hotel-scoped
Task<Status?> ctx.Ohip.Api.Rtp.SyncRatePlansAsync(RatePlansSync body, string? hotelId = null, CancellationToken ct = default)validateRateCoupon
Section titled “validateRateCoupon”Validate a coupon code
GET /rtp/v1/hotels/{hotelId}/rates/coupons/{couponCode} · hotel-scoped
Task<PromotionCouponValidationDetails?> ctx.Ohip.Api.Rtp.ValidateRateCouponAsync(string couponCode, string? hotelId = null, CancellationToken ct = default)validateRatePromotion
Section titled “validateRatePromotion”Validate a promotion code
GET /rtp/v1/hotels/{hotelId}/rates/promotions/{promotionCode} · hotel-scoped
Task<PromotionCouponValidationDetails?> ctx.Ohip.Api.Rtp.ValidateRatePromotionAsync(string promotionCode, string? hotelId = null, CancellationToken ct = default)validateRatePromotionCoupon
Section titled “validateRatePromotionCoupon”Validate promotion and coupon code
GET /rtp/v1/hotels/{hotelId}/rates/promotionsCoupons · hotel-scoped
Task<PromotionCouponValidationDetails?> ctx.Ohip.Api.Rtp.ValidateRatePromotionCouponAsync(string? hotelId = null, string? couponCode = null, Date? endDate = null, string? promotionCode = null, Date? startDate = null, CancellationToken ct = default)